---
layout: service.njk
service: matrix
title: Matrix
---
[Matrix](https://matrix.org) is a modern, open source software for decentralized communication (like e-mail). Matrix offers end-to-end encryption, voice and video calls and much more. However, the most important thing is that there is not one Matrix server that all users have to use, like WhatsApp, Telegram and many other popular messengers.

Users can choose a public server or create their own and still communicate with all Matrix users, not just those on their own server. The messages are only stored on the participating servers. Calls also go only through the participating servers.

Feel free to register on my server or choose one from the lists linked below. I look forward to your message to [@samuel-p:matrix.sp-codes.de](https://matrix.to/#/@samuel-p:matrix.sp-codes.de?via=matrix.sp-codes.de).

## Server details

You can read the server rules [here](https://matrix.sp-codes.de/_matrix/consent) (German).

**The limit for file uploads is 100 MB.** For larger files, please use a file sharing service.

Old messages and files are automatically deleted in order to maintain the performance of the server and save disk space. **Messages are deleted after one year by default.** Depending on the app, you can also set a shorter period in the room settings. **Uploaded files are deleted from the server one year after the last access.**

The Matrix server supports sliding sync, a beta feature of Matrix that significantly improves synchronization between client and server. Clients such as Element X already use this function.

## Why Matrix?

Here I want to give some reasons why I use Matrix and prefer it over many other messengers:

* Since the servers are decentralized, the network remains available even if one server fails.
* You are free to choose your server provider and you are not dependent on a central provider.
* Matrix can be used without a phone number or email address.
* There are apps for all platforms (mobile, PC, Browser, etc.)
* By default, messages in private chats and groups are end-to-end encrypted. This also makes it impossible for the server provider to read messages.
* The protocol (the way data is transferred) is open, so anyone can check how it works or develop new apps that use this protocol.
* The encryption algorithms are also publicly available and verifiable. They are not proprietary by any company.
* Apps and servers are open source, which makes the functionality and further development transparent and traceable.
* Matrix supports voice and video calls, both in private and group chats.

## More useful links

* [Various Apps](https://matrix.org/clients)
* [List of public rooms](https://view.matrix.org/)
* Lists with public Matrix servers
  * [joinmatrix.org](https://joinmatrix.org/servers)
  * [hello-matrix.net](https://www.hello-matrix.net/public_servers.php)
  * [the-federation.info](https://the-federation.info/protocol/matrix)
* [Matrix FAQ](https://matrix.org/faq/)
* [Migrate Account](https://ems.element.io/tools/matrix-migration)
